Subject: Re: mounts, ls, and filename completion
From: [email-masked] (Larry Hall)

10 Aug 1998 17:07:33 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked], [email-masked]

At 10:31 AM 8/7/98 -0700, [email-masked] wrote:
>I'm using B19.1, the bash.exe that comes with it, and the cygwinb19.dll that 
>comes from coolview.  
>
>a) directories that are mounted don't show up using an ls command,
>b) nor does bash do file name completion on them.
>
>That is, ls only lists subdirectories if they are subdirectories
>according to the WinNT directory hierarchy.
>
>Am I missing something, or is this inevitable?
>
>Here is a short transcript:
>
>-------------
>
>bash-2.01$ pwd
>/
>bash-2.01$ mount
>Device           Directory           Type        Flags
>C:\DATA\0058744\non-cyg /non-cyg            native      text!=binary
>C:\DATA\0058744\home /home               native      text!=binary
>\\.\tape1:       /dev/st1            native      text!=binary
>\\.\tape0:       /dev/st0            native      text!=binary
>\\.\b:           /dev/fd1            native      text!=binary
>\\.\a:           /dev/fd0            native      text!=binary
>C:\DATA\0058744\cygnus\H-i386-cygwin32\bin /bin                native      
>text=binary
>C:\\DATA\\0058744\\cygnus /                   native      text=binary
>bash-2.01$ ls
>H-i386-cygwin32/  include/          share/
>Uninst.isu        qub/              tmp/
>cygnus.bat*       root/             usr/
>
>----
>
>Thanks,
>
>John Velman
>[email-masked]
>

This should be a FAQ (is it already?)  The mount utility has much the same
semantics (although not the same syntax!) as UNIX variants.  It does not,
however, have the requirement that the directory to which you are mounting
must exist.  This is unfortunate in many ways since all the existing tools
assume that if there is something mounted, there will already be an entry
in the directory for the tools (ls, bash) to pick up on.  So, if you 
are going to use mount, use it as you would in UNIX and make a directory 
to mount to first.  If you do this, all your tools will work fine, just like
one would expect.  Another alternative is to use symbolic links rather than
mount points.  This has the advantage that you get most of the benefits of
mount points with one simple step.  It is somewhat unorthodox though and
comes with some (minor?) peculiarities of its own.  Either approach will 
solve the "problems" pointed out in the previous message though.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                    http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".